import buildah-1.24.2-4.module+el8.6.0+14673+621cb8be
This commit is contained in:
parent
bf13b06733
commit
7fdbfd5a0b
@ -1 +1 @@
|
|||||||
28467d08c9f0f86602c67cb097e7ba39de8967fe SOURCES/release-1.23-867c1bc.tar.gz
|
09993f8aad3024403e1e2aa76aa3d11d1023cceb SOURCES/release-1.24-7b559a3.tar.gz
|
||||||
|
2
.gitignore
vendored
2
.gitignore
vendored
@ -1 +1 @@
|
|||||||
SOURCES/release-1.23-867c1bc.tar.gz
|
SOURCES/release-1.24-7b559a3.tar.gz
|
||||||
|
45
SOURCES/fix-bash-syntax.patch
Normal file
45
SOURCES/fix-bash-syntax.patch
Normal file
@ -0,0 +1,45 @@
|
|||||||
|
From eedab4fd872c3be8ab15af767897f92c78a71fde Mon Sep 17 00:00:00 2001
|
||||||
|
From: Lokesh Mandvekar <lsm5@fedoraproject.org>
|
||||||
|
Date: Mon, 21 Feb 2022 14:58:40 -0500
|
||||||
|
Subject: [PATCH] helpers.bash: Use correct syntax
|
||||||
|
|
||||||
|
Fixes gating test failure:
|
||||||
|
```
|
||||||
|
/usr/share/buildah/test/system/./helpers.bash: line 474: !is_cgroupsv2: command not found
|
||||||
|
```
|
||||||
|
|
||||||
|
Co-authored-by: Yiqiao Pu <ypu@redhat.com>
|
||||||
|
|
||||||
|
I'm just the committer.
|
||||||
|
|
||||||
|
Signed-off-by: Lokesh Mandvekar <lsm5@fedoraproject.org>
|
||||||
|
---
|
||||||
|
tests/helpers.bash | 8 ++++----
|
||||||
|
1 file changed, 4 insertions(+), 4 deletions(-)
|
||||||
|
|
||||||
|
diff --git a/tests/helpers.bash b/tests/helpers.bash
|
||||||
|
index bd2794c974..3e72108bec 100644
|
||||||
|
--- a/tests/helpers.bash
|
||||||
|
+++ b/tests/helpers.bash
|
||||||
|
@@ -433,9 +433,9 @@ function skip_if_rootless() {
|
||||||
|
##################################
|
||||||
|
function skip_if_rootless_and_cgroupv1() {
|
||||||
|
if test "$BUILDAH_ISOLATION" = "rootless"; then
|
||||||
|
- if !is_cgroupsv2; then
|
||||||
|
- skip "${1:-test does not work when \$BUILDAH_ISOLATION = rootless} and not cgroupv2"
|
||||||
|
- fi
|
||||||
|
+ if ! is_cgroupsv2; then
|
||||||
|
+ skip "${1:-test does not work when \$BUILDAH_ISOLATION = rootless} and not cgroupv2"
|
||||||
|
+ fi
|
||||||
|
fi
|
||||||
|
}
|
||||||
|
|
||||||
|
@@ -471,7 +471,7 @@ function skip_if_cgroupsv2() {
|
||||||
|
# skip_if_cgroupsv1 # Some tests don't work with cgroupsv1
|
||||||
|
#######################
|
||||||
|
function skip_if_cgroupsv1() {
|
||||||
|
- if !is_cgroupsv2; then
|
||||||
|
+ if ! is_cgroupsv2; then
|
||||||
|
skip "${1:-test does not work with cgroups v1}"
|
||||||
|
fi
|
||||||
|
}
|
@ -11,14 +11,14 @@ go build -buildmode pie -compiler gc -tags="rpm_crashtraceback libtrust_openssl
|
|||||||
%endif
|
%endif
|
||||||
|
|
||||||
%global import_path github.com/containers/buildah
|
%global import_path github.com/containers/buildah
|
||||||
%global branch release-1.23
|
%global branch release-1.24
|
||||||
%global commit0 867c1bc093ad54f4fd4ae7898a4c94066f9d8c91
|
%global commit0 7b559a3e7cff23f2207a36140178174d6e130a56
|
||||||
%global shortcommit0 %(c=%{commit0}; echo ${c:0:7})
|
%global shortcommit0 %(c=%{commit0}; echo ${c:0:7})
|
||||||
|
|
||||||
Epoch: 1
|
Epoch: 1
|
||||||
Name: buildah
|
Name: buildah
|
||||||
Version: 1.23.1
|
Version: 1.24.2
|
||||||
Release: 2%{?dist}
|
Release: 4%{?dist}
|
||||||
Summary: A command line tool used for creating OCI Images
|
Summary: A command line tool used for creating OCI Images
|
||||||
License: ASL 2.0
|
License: ASL 2.0
|
||||||
URL: https://%{name}.io
|
URL: https://%{name}.io
|
||||||
@ -29,6 +29,7 @@ Source0: https://%{import_path}/tarball/%{commit0}/%{branch}-%{shortcommit0}.tar
|
|||||||
%else
|
%else
|
||||||
Source0: https://%{import_path}/archive/%{commit0}/%{name}-%{version}-%{shortcommit0}.tar.gz
|
Source0: https://%{import_path}/archive/%{commit0}/%{name}-%{version}-%{shortcommit0}.tar.gz
|
||||||
%endif
|
%endif
|
||||||
|
Patch0: fix-bash-syntax.patch
|
||||||
BuildRequires: golang >= 1.16.6
|
BuildRequires: golang >= 1.16.6
|
||||||
BuildRequires: git
|
BuildRequires: git
|
||||||
BuildRequires: glib2-devel
|
BuildRequires: glib2-devel
|
||||||
@ -128,15 +129,154 @@ make DESTDIR=%{buildroot} PREFIX=%{_prefix} -C docs install
|
|||||||
%{_datadir}/%{name}/test
|
%{_datadir}/%{name}/test
|
||||||
|
|
||||||
%changelog
|
%changelog
|
||||||
* Mon Nov 22 2021 Jindrich Novy <jnovy@redhat.com> - 1:1.23.1-2
|
* Fri Mar 25 2022 Jindrich Novy <jnovy@redhat.com> - 1:1.24.2-4
|
||||||
|
- update to the latest content of https://github.com/containers/buildah/tree/release-1.24
|
||||||
|
(https://github.com/containers/buildah/commit/7b559a3)
|
||||||
|
- Related: #2059296
|
||||||
|
|
||||||
|
* Fri Mar 25 2022 Jindrich Novy <jnovy@redhat.com> - 1:1.24.2-3
|
||||||
|
- switch to RHEL maintenance branch which fixes CVE-2022-27651
|
||||||
|
- Resolves: #2067559
|
||||||
|
|
||||||
|
* Mon Feb 21 2022 Lokesh Mandvekar <lsm5@redhat.com> - 1:1.24.2-2
|
||||||
|
- Add patch to fix bash symtax for gating tests
|
||||||
|
- Upstream PR: https://github.com/containers/buildah/pull/3792
|
||||||
|
- Related: #2001445
|
||||||
|
|
||||||
|
* Thu Feb 17 2022 Jindrich Novy <jnovy@redhat.com> - 1:1.24.2-1
|
||||||
|
- update to https://github.com/containers/buildah/releases/tag/v1.24.2
|
||||||
|
- Related: #2001445
|
||||||
|
|
||||||
|
* Fri Feb 04 2022 Jindrich Novy <jnovy@redhat.com> - 1:1.24.1-1
|
||||||
|
- update to https://github.com/containers/buildah/releases/tag/v1.24.1
|
||||||
|
- Related: #2001445
|
||||||
|
|
||||||
|
* Wed Feb 02 2022 Jindrich Novy <jnovy@redhat.com> - 1:1.24.0-1
|
||||||
|
- update to https://github.com/containers/buildah/releases/tag/v1.24.0
|
||||||
|
- Related: #2001445
|
||||||
|
|
||||||
|
* Tue Jan 25 2022 Jindrich Novy <jnovy@redhat.com> - 1:1.23.2-1
|
||||||
|
- update to the latest content of https://github.com/containers/buildah/tree/release-1.23
|
||||||
|
(https://github.com/containers/buildah/commit/83a66a7)
|
||||||
|
- Related: #2001445
|
||||||
|
|
||||||
|
* Mon Nov 22 2021 Jindrich Novy <jnovy@redhat.com> - 1:1.23.1-3
|
||||||
- update to the latest content of https://github.com/containers/buildah/tree/release-1.23
|
- update to the latest content of https://github.com/containers/buildah/tree/release-1.23
|
||||||
(https://github.com/containers/buildah/commit/867c1bc)
|
(https://github.com/containers/buildah/commit/867c1bc)
|
||||||
- Related: #2021990
|
- Related: #2001445
|
||||||
|
|
||||||
* Wed Nov 10 2021 Jindrich Novy <jnovy@redhat.com> - 1:1.23.1-1
|
* Mon Oct 18 2021 Jindrich Novy <jnovy@redhat.com> - 1:1.23.1-2
|
||||||
- respect Epoch in subpackage dependencies
|
- respect Epoch in subpackage dependencies
|
||||||
- Related: #2001445
|
- Related: #2001445
|
||||||
|
|
||||||
|
* Fri Oct 15 2021 Jindrich Novy <jnovy@redhat.com> - 1:1.23.1-1
|
||||||
|
- bump Epoch to preserve upgrade path
|
||||||
|
- Related: #2001445
|
||||||
|
|
||||||
|
* Wed Oct 13 2021 Jindrich Novy <jnovy@redhat.com> - 1.23.1-0.1
|
||||||
|
- update to the latest content of https://github.com/containers/buildah/tree/release-1.23
|
||||||
|
(https://github.com/containers/buildah/commit/87a0565)
|
||||||
|
- Related: #2001445
|
||||||
|
|
||||||
|
* Wed Oct 13 2021 Jindrich Novy <jnovy@redhat.com> - 1.24.0-0.18
|
||||||
|
- update to the latest content of https://github.com/containers/buildah/tree/main
|
||||||
|
(https://github.com/containers/buildah/commit/982717a)
|
||||||
|
- Related: #2001445
|
||||||
|
|
||||||
|
* Mon Oct 11 2021 Jindrich Novy <jnovy@redhat.com> - 1.24.0-0.17
|
||||||
|
- update to the latest content of https://github.com/containers/buildah/tree/main
|
||||||
|
(https://github.com/containers/buildah/commit/50869a7)
|
||||||
|
- Related: #2001445
|
||||||
|
|
||||||
|
* Fri Oct 08 2021 Jindrich Novy <jnovy@redhat.com> - 1.24.0-0.16
|
||||||
|
- update to the latest content of https://github.com/containers/buildah/tree/main
|
||||||
|
(https://github.com/containers/buildah/commit/211972a)
|
||||||
|
- Related: #2001445
|
||||||
|
|
||||||
|
* Thu Oct 07 2021 Jindrich Novy <jnovy@redhat.com> - 1.24.0-0.15
|
||||||
|
- update to the latest content of https://github.com/containers/buildah/tree/main
|
||||||
|
(https://github.com/containers/buildah/commit/c044ad6)
|
||||||
|
- Related: #2001445
|
||||||
|
|
||||||
|
* Wed Oct 06 2021 Jindrich Novy <jnovy@redhat.com> - 1.24.0-0.14
|
||||||
|
- update to the latest content of https://github.com/containers/buildah/tree/main
|
||||||
|
(https://github.com/containers/buildah/commit/7807a0e)
|
||||||
|
- Related: #2001445
|
||||||
|
|
||||||
|
* Mon Oct 04 2021 Jindrich Novy <jnovy@redhat.com> - 1.24.0-0.13
|
||||||
|
- update to the latest content of https://github.com/containers/buildah/tree/main
|
||||||
|
(https://github.com/containers/buildah/commit/0cd9445)
|
||||||
|
- Related: #2001445
|
||||||
|
|
||||||
|
* Fri Oct 01 2021 Jindrich Novy <jnovy@redhat.com> - 1.24.0-0.12
|
||||||
|
- update to the latest content of https://github.com/containers/buildah/tree/main
|
||||||
|
(https://github.com/containers/buildah/commit/954c481)
|
||||||
|
- Related: #2001445
|
||||||
|
|
||||||
|
* Thu Sep 30 2021 Jindrich Novy <jnovy@redhat.com> - 1.24.0-0.11
|
||||||
|
- include all man pages
|
||||||
|
- Related: #2001445
|
||||||
|
|
||||||
|
* Thu Sep 30 2021 Jindrich Novy <jnovy@redhat.com> - 1.24.0-0.10
|
||||||
|
- update to the latest content of https://github.com/containers/buildah/tree/main
|
||||||
|
(https://github.com/containers/buildah/commit/d2ef199)
|
||||||
|
- Related: #2001445
|
||||||
|
|
||||||
|
* Wed Sep 29 2021 Jindrich Novy <jnovy@redhat.com> - 1.24.0-0.9
|
||||||
|
- update to the latest content of https://github.com/containers/buildah/tree/main
|
||||||
|
(https://github.com/containers/buildah/commit/455f2f1)
|
||||||
|
- Related: #2001445
|
||||||
|
|
||||||
|
* Mon Sep 27 2021 Jindrich Novy <jnovy@redhat.com> - 1.24.0-0.8
|
||||||
|
- update to the latest content of https://github.com/containers/buildah/tree/main
|
||||||
|
(https://github.com/containers/buildah/commit/8548885)
|
||||||
|
- Related: #2001445
|
||||||
|
|
||||||
|
* Fri Sep 24 2021 Jindrich Novy <jnovy@redhat.com> - 1.24.0-0.7
|
||||||
|
- update to the latest content of https://github.com/containers/buildah/tree/main
|
||||||
|
(https://github.com/containers/buildah/commit/9a49348)
|
||||||
|
- Related: #2001445
|
||||||
|
|
||||||
|
* Thu Sep 23 2021 Jindrich Novy <jnovy@redhat.com> - 1.24.0-0.6
|
||||||
|
- update to the latest content of https://github.com/containers/buildah/tree/main
|
||||||
|
(https://github.com/containers/buildah/commit/a72aad4)
|
||||||
|
- Related: #2001445
|
||||||
|
|
||||||
|
* Wed Sep 22 2021 Jindrich Novy <jnovy@redhat.com> - 1.24.0-0.5
|
||||||
|
- update to the latest content of https://github.com/containers/buildah/tree/main
|
||||||
|
(https://github.com/containers/buildah/commit/b8757e9)
|
||||||
|
- Related: #2001445
|
||||||
|
|
||||||
|
* Tue Sep 21 2021 Jindrich Novy <jnovy@redhat.com> - 1.24.0-0.4
|
||||||
|
- update to the latest content of https://github.com/containers/buildah/tree/main
|
||||||
|
(https://github.com/containers/buildah/commit/fb84638)
|
||||||
|
- Related: #2001445
|
||||||
|
|
||||||
|
* Mon Sep 20 2021 Jindrich Novy <jnovy@redhat.com> - 1.24.0-0.3
|
||||||
|
- update to the latest content of https://github.com/containers/buildah/tree/main
|
||||||
|
(https://github.com/containers/buildah/commit/f3f3c55)
|
||||||
|
- Related: #2001445
|
||||||
|
|
||||||
|
* Fri Sep 17 2021 Jindrich Novy <jnovy@redhat.com> - 1.24.0-0.2
|
||||||
|
- update to the latest content of https://github.com/containers/buildah/tree/main
|
||||||
|
(https://github.com/containers/buildah/commit/753716a)
|
||||||
|
- Related: #2001445
|
||||||
|
|
||||||
|
* Wed Sep 15 2021 Jindrich Novy <jnovy@redhat.com> - 1.24.0-0.1
|
||||||
|
- update to the latest content of https://github.com/containers/buildah/tree/main
|
||||||
|
(https://github.com/containers/buildah/commit/69b3e56)
|
||||||
|
- Related: #2001445
|
||||||
|
|
||||||
|
* Mon Sep 13 2021 Jindrich Novy <jnovy@redhat.com> - 1.23.0-0.2
|
||||||
|
- update to the latest content of https://github.com/containers/buildah/tree/main
|
||||||
|
(https://github.com/containers/buildah/commit/e9bc224)
|
||||||
|
- Related: #2001445
|
||||||
|
|
||||||
|
* Fri Sep 10 2021 Jindrich Novy <jnovy@redhat.com> - 1.23.0-0.1
|
||||||
|
- update to the latest content of https://github.com/containers/buildah/tree/main
|
||||||
|
(https://github.com/containers/buildah/commit/a5aba5c)
|
||||||
|
- Related: #2001445
|
||||||
|
|
||||||
* Wed Aug 25 2021 Jindrich Novy <jnovy@redhat.com> - 1.22.3-2
|
* Wed Aug 25 2021 Jindrich Novy <jnovy@redhat.com> - 1.22.3-2
|
||||||
- update to the latest content of https://github.com/containers/buildah/tree/release-1.22
|
- update to the latest content of https://github.com/containers/buildah/tree/release-1.22
|
||||||
(https://github.com/containers/buildah/commit/4d20222)
|
(https://github.com/containers/buildah/commit/4d20222)
|
||||||
|
Loading…
Reference in New Issue
Block a user